summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/debvm-create10
1 files changed, 9 insertions, 1 deletions
diff --git a/bin/debvm-create b/bin/debvm-create
index c58092c..8e6ca12 100755
--- a/bin/debvm-create
+++ b/bin/debvm-create
@@ -63,6 +63,12 @@ The following tasks may be skipped.
=over 4
+=item B<autologin>
+
+Skips adding a the customize-autologin.sh to B<mmdebstrap> that configures
+automatic root login on a serial console and also parses the C<TERM> kernel
+cmdline and passes it as C<TERM> to B<agetty>.
+
=item B<kernel>
skips installing a linux kernel image.
@@ -289,7 +295,9 @@ if ! check_skip usrmerge; then
set -- --hook-dir=/usr/share/mmdebstrap/hooks/maybe-merged-usr "$@"
fi
-set -- "--customize-hook=$SHARE_DIR/customize-autologin.sh" "$@"
+if ! check_skip autologin; then
+ set -- "--customize-hook=$SHARE_DIR/customize-autologin.sh" "$@"
+fi
set -- "$SUITE" "$IMAGE" "$@"